/*
 * Compressed File Library 2.0
 * Complete rewrite over 1.x, based on good and bad points of old CFL.
 * Copyright (c) 1998 Jari Komppa
 */
#ifndef CFL2_H_INCLUDED
#define CFL2_H_INCLUDED
#ifdef __cplusplus
extern "C" {
#endif
#define CHECKSUM_ASCIIZ 0xffffffff
extern int CFL_confirm_integrity;

extern char * CFL_CheckCFL(char * fname, int ofs);
extern int CFL_OpenCFL(char * fname, int ofs);
extern int CFL_IsFile(char * fname);
extern char * CFL_GetFile(char * fname);
extern int CFL_GetFileB(char * fname, char * tbuf, int tbuflen);
extern int CFL_GetFileSize(char * fname);
extern int CFL_GetCompressedFileSize(char * fname);
extern FILE * CFL_GetFilePtr(char * fname);
extern void CFL_DropFilePtr(FILE * f);
extern int CFL_GetFileOfs(char * fname);
extern void CFL_CloseCFL(void);
#ifdef __cplusplus
}
#endif
#endif